/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.kernel.deployment.jboss.beans.servicepojo;


/**
 * A simple pojo to represent a hypothetical thread pool service
 *
 * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
 * @version $Revision: 1.1.2.1 $
 */
public class PoolService extends AbstractService
{
   // Private -------------------------------------------------------
   
   private String groupName = "JBoss System Threads";
   private int poolSize = 10;
   private int queueSize = 1000;
   
   // Constructor ---------------------------------------------------
   
   public PoolService()
   {
      super("PoolService");
   }
   
   // Accessors/Mutators --------------------------------------------

   public void setGroupName(String groupName)
   {
      log("setGroupName(" + groupName + ")");      
      this.groupName = groupName;
   }
   
   public String getGroupName()
   {
      return groupName;
   }
   
   public void setPoolSize(int poolSize)
   {
      log("setPoolSize(" + poolSize + ")");       
      this.poolSize = poolSize;
   }
   
   public int getPoolSize()
   {
      return poolSize;
   }
   
   public void setQueueSize(int queueSize)
   {
      log("setQueueSize(" + queueSize + ")");       
      this.queueSize = queueSize;
   }
   
   public int getQueueSize()
   {
      return queueSize;
   }
   
   // Overrides -----------------------------------------------------
   
   public String toString()
   {
      StringBuffer sbuf = new StringBuffer();
      sbuf
      .append("PoolService")
      .append("[ name=").append(name)
      .append(", state=").append(state)      
      .append(", groupName=").append(groupName)
      .append(", poolSize=").append(poolSize)
      .append(", queueSize=").append(queueSize)
      .append(" ]");
      
      return sbuf.toString();
   }
}
